Skip to main content
POST
/
v1
/
admin
/
actions
/
markets
/
replace-image
Error
A valid request URL is required to generate request examples
{
  "ok": true,
  "marketAddress": "<string>",
  "imageUrl": "<string>"
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}
{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}

Authorizations

aura_session
string
cookie
required

HttpOnly session cookie set by POST /v1/auth/session. Mutating requests must also send the CSRF token (returned by that call) in the x-csrf-token header.

Body

application/json
marketAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
stepUp
object
required
reset
boolean
default:false
imageBase64
string
Maximum string length: 7340032
mimeType
enum<string>
Available options:
image/jpeg,
image/png,
image/webp

Response

Default Response

ok
enum<boolean>
required
Available options:
true
marketAddress
string
required
imageUrl
string | null
required